aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--sys-apps/hardenedtmpfiles/Manifest1
-rw-r--r--sys-apps/hardenedtmpfiles/hardenedtmpfiles-0.5.3-r1.ebuild55
-rw-r--r--virtual/tmpfiles/tmpfiles-0-r6.ebuild23
-rw-r--r--www-client/glide-bin/glide-bin-0.1.58a.ebuild104
4 files changed, 183 insertions, 0 deletions
diff --git a/sys-apps/hardenedtmpfiles/Manifest b/sys-apps/hardenedtmpfiles/Manifest
new file mode 100644
index 0000000..bf01c11
--- /dev/null
+++ b/sys-apps/hardenedtmpfiles/Manifest
@@ -0,0 +1 @@
+DIST hardenedtmpfiles-0.5.3.tar.gz 8092 BLAKE2B 8aa2abdfbf7e6cbd3e1cc5adcef086acf6b71f07d59e2a3528ced05f6fe87adcc7d4dce40c5b769e6e50593a1d5a63f692bb53b6376c2b0e42c5f01de4dd2986 SHA512 b1a88519e69bae0015f9bced3e785bedb6328abc6f044748cc6a9a54868daa60ae00aa1353098b05484b455e92d9d57671ac4ba97fb66f9c3a3c795e70459121
diff --git a/sys-apps/hardenedtmpfiles/hardenedtmpfiles-0.5.3-r1.ebuild b/sys-apps/hardenedtmpfiles/hardenedtmpfiles-0.5.3-r1.ebuild
new file mode 100644
index 0000000..70c39be
--- /dev/null
+++ b/sys-apps/hardenedtmpfiles/hardenedtmpfiles-0.5.3-r1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit prefix
+
+if [[ ${PV} = 9999* ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/KenjiBrown/${PN}"
+else
+ SRC_URI="https://github.com/KenjiBrown/${PN}/archive/${PV}.tar.gz ->
+ ${P}.tar.gz"
+ KEYWORDS="alpha amd64 arm arm64 hppa ia64 m68k mips ppc ppc64 riscv s390 sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+fi
+
+DESCRIPTION="A standalone utility to process systemd-style tmpfiles.d files"
+HOMEPAGE="https://github.com/KenjiBrown/hardenedtmpfiles"
+
+LICENSE="BSD-2"
+SLOT="0"
+IUSE="selinux"
+
+RDEPEND="!<sys-apps/openrc-0.23
+ !sys-apps/opentmpfiles
+ selinux? ( sec-policy/selinux-base-policy )"
+
+src_prepare() {
+ default
+ hprefixify tmpfiles
+}
+src_install() {
+ emake DESTDIR="${ED}" install
+ einstalldocs
+ cd openrc
+ for f in opentmpfiles-dev opentmpfiles-setup; do
+ newconfd ${f}.confd ${f}
+ newinitd ${f}.initd ${f}
+ done
+}
+
+add_service() {
+ local initd=$1
+ local runlevel=$2
+
+ elog "Auto-adding '${initd}' service to your ${runlevel} runlevel"
+ mkdir -p "${EROOT}"etc/runlevels/${runlevel}
+ ln -snf /etc/init.d/${initd} "${EROOT}"etc/runlevels/${runlevel}/${initd}
+}
+
+pkg_postinst() {
+ if [[ -z $REPLACING_VERSIONS ]]; then
+ add_service opentmpfiles-dev sysinit
+ add_service opentmpfiles-setup boot
+ fi
+}
diff --git a/virtual/tmpfiles/tmpfiles-0-r6.ebuild b/virtual/tmpfiles/tmpfiles-0-r6.ebuild
new file mode 100644
index 0000000..52e67d9
--- /dev/null
+++ b/virtual/tmpfiles/tmpfiles-0-r6.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Virtual to select between different tmpfiles.d handlers"
+SLOT="0"
+KEYWORDS="alpha amd64 arm arm64 hppa ia64 loong m68k mips ppc ppc64 riscv s390 sparc x86 amd64-linux x86-linux arm64-macos ppc-macos x64-macos x64-solaris"
+IUSE="systemd"
+
+RDEPEND="
+ !prefix-guest? (
+ systemd? ( sys-apps/systemd )
+ !systemd? (
+ || (
+ sys-apps/hardenedtmpfiles
+ sys-apps/opentmpfiles
+ sys-apps/systemd-utils[tmpfiles]
+ sys-apps/tmpfilesd
+ )
+ )
+ )
+"
diff --git a/www-client/glide-bin/glide-bin-0.1.58a.ebuild b/www-client/glide-bin/glide-bin-0.1.58a.ebuild
new file mode 100644
index 0000000..5f476bf
--- /dev/null
+++ b/www-client/glide-bin/glide-bin-0.1.58a.ebuild
@@ -0,0 +1,104 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit desktop unpacker xdg
+
+
+DESCRIPTION="An extensible and keyboard-focused web browser"
+HOMEPAGE="https://github.com/glide-browser/glide"
+SRC_URI="
+ amd64? ( https://github.com/glide-browser/glide/releases/download/${PV}/glide.linux-x86_64.tar.xz -> ${P}-x86_64.tar.xz )
+ arm64? ( https://github.com/glide-browser/glide/releases/download/${PV}/glide.linux-aarch64.tar.xz -> ${P}-aarch64.tar.xz )
+"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+IUSE="X -wayland"
+RESTRICT="strip"
+
+BDEPEND="app-arch/unzip"
+RDEPEND="${DEPEND}
+ !www-client/glide-bin:0
+ || (
+ media-libs/libpulse
+ media-sound/apulse
+ )
+ >=dev-libs/glib-2.26:2
+ media-libs/alsa-lib
+ media-libs/fontconfig
+ >=media-libs/freetype-2.4.10
+ media-video/ffmpeg
+ sys-apps/dbus
+ virtual/freedesktop-icon-theme
+ >=x11-libs/cairo-1.10[X]
+ x11-libs/gdk-pixbuf:2
+ >=x11-libs/gtk+-3.11:3[X,wayland?]
+ x11-libs/libX11
+ x11-libs/libXcomposite
+ x11-libs/libXcursor
+ x11-libs/libXdamage
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXi
+ x11-libs/libXrandr
+ x11-libs/libXrender
+ x11-libs/libxcb
+ >=x11-libs/pango-1.22.0
+"
+
+
+S="${WORKDIR}/glide"
+
+QA_PREBUILT="opt/glide-bin/*"
+
+src_install() {
+ local destdir="/opt/${PN}"
+
+ insinto "${destdir}"
+ doins -r ./*
+
+ fperms 0755 "${destdir}/${PN}"
+
+ if [[ -f "${ED}${destdir}/glide" ]]; then
+ fperms 0755 "${destdir}/glide"
+ fi
+
+ cat > "${T}/glide" <<-EOF || die
+ #!/bin/bash
+ exec "/opt/${PN}/${PN}" "\$@"
+ EOF
+
+ dobin "${T}/glide"
+
+ local app_name="Glide Browser"
+ local desktop_file="${FILESDIR}/icon/${PN}.desktop"
+ local exec_command="glide"
+ local icon="${PN}.png"
+
+ cp "${desktop_file}" "${WORKDIR}/${PN}.desktop-template" || die
+
+ sed -i \
+ -e "s:@VERSION@:${PV}:" \
+ -e "s:@NAME@:${app_name}:" \
+ -e "s:@EXEC@:${exec_command}:" \
+ -e "s:@ICON@:${icon}:" \
+ "${WORKDIR}/${PN}.desktop-template" || die
+
+ newmenu "${WORKDIR}/${PN}.desktop-template" glide-bin.desktop
+
+ rm "${WORKDIR}/${PN}.desktop-template" || die
+
+ local size
+ for size in 16 32 48 64 128; do
+ newicon -s ${size} \
+ "${ED}${destdir}/browser/chrome/icons/default/default${size}.png" \
+ ${PN}.png
+ done
+}
+
+pkg_postrm() {
+ xdg_pkg_postrm
+}